Subject: Re: linux-next: manual merge of the staging tree with the drm tree

From: Greg KH <[email-masked]>
Date: Thu, 19 Mar 2009 22:15:01 -0700

On Fri, Mar 20, 2009 at 03:38:26PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the staging tree got a conflict in
> drivers/gpu/drm/Makefile between commit
> 955b12def42e83287c1bdb1411d99451753c1391 ("drm: Convert proc files to
> seq_file and introduce debugfs") from the drm tree and commit
> 69a914df73e04807248f21b6738dab9cf9e3c094 ("drm: Add a tracker for global
> objects") from the staging tree.
> 
> Just trivial overlapping additions.  I fixed it up (see below) and can
> carry the fix as necessary.
> 
> However, I do need to wonder why changes to drivers/gpu are appearing in
> the staging tree - I assumed that its updates would be restricted to the
> drivers/staging directory (as much as possible).

There is a driver in the staging directory that needs these drm core
changes.  I've posted these to David and the drm list and lkml, and we
are currently discussing their future.  If David ends up rejecting them,
I'll drop them from my tree.

thanks,

greg k-h